/*
 * fig.h - Generate FIG output for Eeschema items
 *
 * Written 2016 by Werner Almesberger
 * Copyright 2016 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef FIG_H
#define	FIG_H

enum fig_shape {
	fig_unspec,	// UnSpc
	fig_in,		// Input
	fig_out,	// Output
	fig_tri,	// 3State
};


/* libraries */

void fig_rect(int sx, int sy, int ex, int ey);
void fig_poly(int points, int x[points], int y[points]);

/* schematics */

void fig_text(int x, int y, const char *s, int dir, int dim,
    enum fig_shape shape);
void fig_glabel(int x, int y, const char *s, int dir, int dim,
    enum fig_shape shape);

void fig_junction(int x, int y);

void fig_wire(int sx, int sy, int ex, int ey);
void fig_line(int sx, int sy, int ex, int ey);

/* inititalization */

void fig_init(void);

#endif /* !FIG_H */
